Add a secondary metafield(To be deprecated)
POST https://{handle}.myshopline.com/admin/openapi/v20270301/:p_resource/:p_owner_id/:resource/:owner_id/metafields.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Create a metafield.
DEPRECATED
This API is deprecated from API version v20250601. Use the Create a metafield for a resource API instead.
Path Parameters
- owner_id string requiredSecondary resource idExample:
1802351351232521351351 - p_owner_id string requiredFirst class resource idExample:
16024213413413412341234 - p_resource string requiredFirst class resources , like productsExample:
products - resource string requiredSecondary resources such as variantsExample:
variants
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
metafieldobject
metafielddescription stringDescriptionExample:My descriptionkey stringA unique identifier for a metafield within itsnamespace.Example:key_123namespace stringNamespace , 2-50 charactersExample:namespace_123type stringThe type of value, such as single_line_text_field, multi_line_text_field, boolean, url, variant_reference, product_reference, page_reference, rating, number_decimal, number_integer, dimension, volume, weight, json, file_reference, date_time, date, colorExample:single_line_text_fieldvalue objectThe data stored in the metafield.
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
metafieldobject
metafieldvalue objectThe data stored in the metafield.created_at stringCreation timeExample:2022-12-28T09:39:35+00:00id longMetafield's idExample:124213413421342130namespace stringNamespaceExample:namespace_123owner_resource stringResourcesExample:variantstype stringTypeExample:single_line_text_fieldupdated_at stringUpdate timeExample:2022-12-28T09:39:35+00:00description stringDescriptionExample:My descriptionkey stringA unique identifier for a metafield within itsnamespace.Example:key_123owner_id stringResource idExample:18024213413413412341234
API Explorer
Debugger
Examples
Was this article helpful to you?